﻿@model FirstMVCAppMy.UI.Models.Bucket.OrderBucketModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<h4>OrderBucketModel</h4>

<table class="table">
    <thead>
    <tr>
        <th>
            Наименование
        </th>
        <th>
            Описание
        </th>
        <th>
            Категория
        </th>
        <th>
            Брэнд
        </th>
        <th>
            Количество
        </th>
        <th>
            Цена
        </th>
        <th>
            Сумма
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model.ProductModels) {
        <tr>
            <td>
                @item.Name
            </td>
            <td>
                @item.Description
            </td>
            <td>
                @item.CategoryName
            </td>
            <td>
                @item.BrandName
            </td>
            <td>
                @item.Qty
            </td>
            <td>
                @item.Price
            </td>
            <td>
                @item.TotalAmountProduct
            </td>
        </tr>
    }
    </tbody>
</table>

<div>
    Пользователь:   @Model.UserName
</div>

<div>
    Общая сумма:   @Model.TotalAmount
</div>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Index" method="post">
            <div class="form-group">
               <input hidden asp-for="UserName" class="form-control" />
            </div>
            <div class="form-group">
                <input  hidden asp-for="TotalAmount" class="form-control" />
            </div>
            <div class="form-group">
                <input type="submit" value="To order" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
